Bug 115714 - system-config-packages should know the installation source
system-config-packages should know the installation source
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Jones
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2004-02-15 06:16 EST by Joerg Skottke
Modified: 2008-02-20 23:43 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-02-20 23:43:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Joerg Skottke 2004-02-15 06:16:30 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6)
Gecko/20040207 Firefox/0.8

Description of problem:
If a system has been installed from network the system-config-packages
should not try to read the package-list from /dev/cdrom but default to
the initial/previous installation source.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. install fedora via network 
2. install additional packages via add/remove applications

Actual Results:  the tool warns about missing installation source in
/dev/cdrom and cancels.

Expected Results:  1. Do not cancel if installation source is not
found but allow to specify one.
2. default to the source where the system was initially installed from.

Additional info:
Comment 1 Jeremy Katz 2005-09-21 14:23:13 EDT
Paul -- we definitely want to make sure we write something that's usable for
later out here now that we're moving to yum as a common backend
Comment 2 Paul Nasrat 2006-02-02 13:56:51 EST
Write out repo.dump with disabled contents for now. 
Comment 3 Red Hat Bugzilla 2007-08-21 01:17:55 EDT
User pnasrat@redhat.com's account has been closed
Comment 4 petrosyan 2008-02-20 23:43:54 EST
system-config-packages has been removed from Fedora rawhide.

Note You need to log in before you can comment on or make changes to this bug.